Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156847 - (quiet-)Modular mkinitrd patch
Summary: (quiet-)Modular mkinitrd patch
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 17:26 UTC by Loris-Guillaume Minoia
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 22:41:37 UTC


Attachments (Terms of Use)
my beta version (deleted)
2005-05-04 17:34 UTC, Loris-Guillaume Minoia
no flags Details | Diff

Description Loris-Guillaume Minoia 2005-05-04 17:26:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
This patch (submited below) adds a little bit of modularity to mkinitrd that should make possible running custom commands in initrd stage (init or linuxrc) allowing :
  o mounting crypted root file system
  o network block device
  o set properties in /proc
  o running BIOS hack temporary hack (the ones that should be lauched at every boot)
  o ...

Version-Release number of selected component (if applicable):
mkinitrd (-4.2.9-1)

How reproducible:
Always

Steps to Reproduce:
a. apply the patch to mkinitrd extracted bz2-tarball (patch -p1 < patchfile) and install it
b. it should work like before

Additional info:

a. apply the patch to mkinitrd extracted bz2-tarball 'patch -p1 < patchfile' and install it
b. add scripts[1] to new directories /etc/mkinitrd/{pre,post}rootmount/
c. run 'mkinitrd [your args as usual]' should add your scripts and your files[3] to initrd

[1] sub-scripts written in nash (only command lines not the #!/bin/nash line). If you need more commands you can include files in the initrd, see [3]
[2] you cannot add comments in your sub-scripts :-(, but should be short scripts :-)
[3] if you put line begining with "#include " the end of the line is considered as a file to add in the initrd

Comment 1 Loris-Guillaume Minoia 2005-05-04 17:34:50 UTC
Created attachment 114033 [details]
my beta version

Try it if you find it useful, enjoy

Comment 2 Peter Jones 2006-02-03 22:41:37 UTC
The current initrd images support modular functionality, albiet using a
different method than the one suggested here.


Note You need to log in before you can comment on or make changes to this bug.